function Car(image, make, model, description, price, category, year, mileage, extras){
	this.image = image;
	this.make = make;
	this.model = model;
	this.description = description;
	this.price = price;
	this.category = category;
	this.year = year;
	this.mileage = mileage;
	this.extras = extras;
}

Car.prototype.generateImage = function(elt){
	let img = document.createElement('img');
	img.src = this.image;
	img.alt = this.make + ' ' + this.model;
	img.className = 'card-img-top';
	elt.appendChild(img);
}

Car.prototype.generateExtras = function(elt){
	let ul = document.createElement('ul');
	for(let i = 0; i < this.extras.length; i++){
		let li = document.createElement('li');
		li.textContent = this.extras[i].name + ' - $' + this.extras[i].price;
		ul.appendChild(li);
	}
	elt.appendChild(ul);
}